/// <reference types="node" />
import { AnyJson } from '@salesforce/ts-types';
import { flags, SfdxCommand } from '@salesforce/command';
export default class Retrieve extends SfdxCommand {
    connectedapp_consumerKey: string;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        username: flags.Discriminated<flags.Option<string>>;
        password: flags.Discriminated<flags.Option<string>>;
        securitytoken: flags.Discriminated<flags.Option<string>>;
        url: flags.Discriminated<flags.Option<import("url").URL>>;
    };
    loginUrl: string;
    password: string;
    run(): Promise<AnyJson>;
    delay(ms: number): Promise<{}>;
}
